AnsweredAssumed Answered

Meta Qt toolchain

Question asked by Elmar van Rijnswou on Jul 11, 2017
Latest reply on Jul 28, 2017 by gusarambula

Hello!

I'm trying to pack my application with the image, and therefore I have to crosscompile it. My application is using the Qt libraries. The problem is the following, I'm trying to bitbake the qt toolchain so I get the libraries to compile against. Doing this with the following command:

bitbake meta-toolchain-qt

However, it throws an error during the do_populate_sdk step:

ERROR: Unable to install packages. Command '/media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080abluebox/tmp/sysroots/x86_64-linux/usr/bin/smart --log-level=warning --data-dir=/media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080abluebox/tmp/work/aarch64-fsl-linux/meta-toolchain-qt/1.0-r7/sdk/image/opt/bluebox/2.0/sysroots/aarch64-fsl-linux/var/lib/smart install -y packagegroup-qt-toolchain-target@all' returned 1:
Loading cache...
Updating cache...               ######################################## [100%]

Computing transaction...error: Can't install packagegroup-qt-toolchain-target-1.0-r0@all: no package provides libqtwebkit4-dev


ERROR: Function failed: do_populate_sdk
ERROR: Logfile of failure stored in: /media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080abluebox/tmp/work/aarch64-fsl-linux/meta-toolchain-qt/1.0-r7/temp/log.do_populate_sdk.13009
ERROR: Task 7 (/media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/meta/recipes-qt/meta/meta-toolchain-qt.bb, do_populate_sdk) failed with exit code '1'

I can't figure out where the requirement of libqtwebkit4-dev is coming from, or where I can get the correct recipes. I've seen an answer for Qt5 on the Yocto mailinglist ( [yocto] [meta-toolchain-qt5] Can't install qtwebkit-dev-5.3.2-r0 at i586: no package provides qtwebkit = 5.3.2-r0 ) but the problem here was solved by adjusting some file which is part of Qt5, and not Qt4. Could anybody give me some pointers in the right direction?

I used the following commands before attempting to build the Qt toolchain (which all return successfully):

abc@ER02171P:/media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto$ source ./fsl-setup-env -D bluebox -e "meta-bluebox" -m ls2080abluebox

 

abc@ER02171P:/media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/build_ls2080abluebox$ bitbake fsl-image-blueboxls2dt

WARNING: Failed to fetch URL http://ftp.mozilla.org/pub/nspr/releases/v4.10.8/src/nspr-4.10.8.tar.gz, attempting MIRRORS if available
WARNING: Failed to fetch URL ftp://ftp.remotesensing.org/pub/libtiff/tiff-4.0.4.tar.gz, attempting MIRRORS if available
WARNING: Failed to fetch URL http://googlemock.googlecode.com/files/gmock-1.7.0.zip, attempting MIRRORS if available
WARNING: Checksum failure encountered with download of https://fedorahosted.org/releases/l/i/libuser/libuser-0.62.tar.xz - will attempt other sources if available
WARNING: Renaming /media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/downloads/libuser-0.62.tar.xz to /media/traffic/Yocto/QorIQ-SDK-V2.0-20160527-yocto/downloads/libuser-0.62.tar.xz_bad-checksum_4cd24384746a1afd99594efe75ac62ac
WARNING: Failed to fetch URL http://downloads.sourceforge.net/expect/Expect/5.45/expect5.45.tar.gz, attempting MIRRORS if available
WARNING: Failed to fetch URL ftp://nano-editor.org/pub/nano/v2.2/nano-2.2.5.tar.gz, attempting MIRRORS if available
NOTE: Tasks Summary: Attempted 7835 tasks of which 34 didn't need to be rerun and all succeeded.

Summary: There were 7 WARNING messages shown.

Any help would be greatly appreciated!

 

Elmar

Outcomes